Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#3873 Usage: add warning about duplicate messages in the log

Verified
nobody
Documentation
2014-07-04
2014-02-22
Anonymous
No

Originally created by: *anonymous

Originally created by: fedel...@gmail.com
Originally owned by: pkx1...@gmail.com

http://lists.gnu.org/archive/html/bug-lilypond/2014-02/msg00228.html

In Usage 1.3, Error messages, just before the last sentence (more information about errors...) we might add a warning:

"""
Please note that diagnostics can be triggered in several stages of
processing.  If some input is processed several times (for example, in
midi and layout output, or by using the same music variable in multiple
contexts), diagnostics produced at a late stage (like a bar check) might
be issued multiple times.
"""

Discussion

  • Originally posted by: pkx1...@gmail.com

    Doc: Usage: Added para about diagnosing Errors

    Issue 3873

    Added paragraph explaining that diagnostics can occur in multiple
    places for different or the same input depending on the
    type and context and where it occurs during the processing.

    http://codereview.appspot.com/105360043

    Labels: Patch-new
    Owner: pkx1...@gmail.com
    Status: Started

     
  • Originally posted by: pkx1...@gmail.com

    Patchy the autobot says: passes make, make check and a full make docs.

    Labels: -Patch-new Patch-review

     
  • Originally posted by: pkx1...@gmail.com

    Patchy the autobot says: passes make, make check and a full make docs.

    Labels: -Patch-new Patch-review

     
  • Originally posted by: pkx1...@gmail.com

    Patch on countdown for June 29

    Labels: -Patch-review Patch-countdown

     
  • Originally posted by: pkx1...@gmail.com

    Patch counted down - please push

    Labels: -Patch-countdown Patch-push

     
  • Originally posted by: pkx1...@gmail.com

    author    James Lowe <pkx166h@gmail.com>   
        Sat, 21 Jun 2014 12:38:59 +0000 (13:38 +0100)
    committer    James Lowe <pkx166h@gmail.com>   
        Sun, 29 Jun 2014 08:29:01 +0000 (09:29 +0100)
    commit    [r6d2278abbc50342fc699fdb17d1c44ebb3adcaaa]

    Labels: -Patch-push Fixed_2_19_9
    Status: Fixed

     
  • Originally posted by: fedel...@gmail.com

    (No comment was entered for this change.)

    Status: Verified